> For the complete documentation index, see [llms.txt](https://docs.bluefletch.com/bluefletch-enterprise/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bluefletch.com/bluefletch-enterprise/product-guides/device-applications/device-id/technical-guide.md).

# Technical Guide

## Setup <a href="#setup" id="setup"></a>

Simple installation and launching of the application will determine and set the ID for BlueFletch applications to retrieve.

### Intent Actions <a href="#intent-actions" id="intent-actions"></a>

#### **Initial Device Setup**

The initial action 'android.intent.action.MAIN' will cause the device ID to be retrieved and properly stored for BlueFletch Enterprise to utilize. This action will allow the UI to be displayed showing the Device ID.

ADB Example:

```json
adb shell am start -a android.intent.action.MAIN -n com.bluefletch.ems.deviceid/com.bluefletch.ems.deviceid.MainActivity

```

Airwatch/Workspace ONE Example:

```json
mode=explicit,action=com.bluefletch.ems.deviceid.MAIN,package=com.bluefletch.ems.deviceid,class=com.bluefletch.ems.deviceid.MainActivity,broadcast=false
```

#### **Init the ID**

The action 'com.bluefletch.ems.deviceid.ACTION\_INIT' causes the device ID to be set. The UI will not be displayed.

ADB Example:

```json
adb shell am start -a com.bluefletch.ems.deviceid.ACTION_INIT -n com.bluefletch.ems.deviceid/com.bluefletch.ems.deviceid.MainActivity
```

Airwatch/Workspace ONE Example:

```json
mode=explicit,action=com.bluefletch.ems.deviceid.ACTION_INIT,package=com.bluefletch.ems.deviceid,class=com.bluefletch.ems.deviceid.MainActivity,broadcast=false
```

#### **Rename the Device**

The action 'com.bluefletch.ems.deviceid.ACTION\_SET\_NAME' will allow for renaming a device to an organization desired name.

The action takes two parameters: **deviceName** and **org\_id**.

* **deviceName:** Represents the new name/ID. Replace the "NEWNAME" placeholder below with the organization's desired name.
* **org\_id:** Represents the ID of the organization as displayed within the BlueFletch Portal. Replace the "ORGID" placeholder below with the organization ID.

ADB Example:

```json
adb shell am start -a com.bluefletch.ems.deviceid.ACTION_SET_NAME -n com.bluefletch.ems.deviceid/com.bluefletch.ems.deviceid.MainActivity --es deviceName NEWNAME --es org_id ORGID
```

Airwatch/Workspace ONE Example:

```json
mode=explicit,action=com.bluefletch.ems.deviceid.ACTION_SET_NAME,package=com.bluefletch.ems.deviceid,class=com.bluefletch.ems.deviceid.MainActivity,extraString=deviceName=NEWNAME,extraString=org_id=ORGID,broadcast=false
```

### Application Details <a href="#application-details" id="application-details"></a>

**Package:** com.bluefletch.ems.deviceid


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bluefletch.com/bluefletch-enterprise/product-guides/device-applications/device-id/technical-guide.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
